	// git repository info
	def gitRepository = 'https://gitlab.com/vnpt-net-devops/assigments/docker-reactjs.git'
	def gitBranch = 'main'

	// Image infor in registry
	// def imageGroup = 'demo'
	// def appName = "my-app"
	// def namespace = "helm-demo"	

	// harbor-registry credentials
	// def registryCredential = 'jenkin_harbor'
	// gitlab credentials
	def gitlabCredential = 'jenkin_gitlab'
	
	dockerBuildCommand = '.'
	def version = "prod-0.${BUILD_NUMBER}"

	pipeline {
		agent any
		
		environment {
			DOCKER_REGISTRY = 'https://registry.gitlab.com'
			DOCKER_IMAGE_NAME = "/vnpt-net-devops/assigments/docker-reactjs"
			DOCKER_IMAGE = "registry.gitlab.com/${DOCKER_IMAGE_NAME}"
		}
		stages {
		
			stage('Checkout project') 
			{
			  steps 
			  {
				echo "checkout project"
				git branch: gitBranch,
				   credentialsId: gitlabCredential,
				   url: gitRepository
				sh "git reset --hard"				
			  }
			}		
			stage('Build docker and push to registry') 
			{
			  steps 
			  {
				script {
						app = docker.build(DOCKER_IMAGE, dockerBuildCommand)
						docker.withRegistry( DOCKER_REGISTRY, registryCredential ) {                       
						   app.push(version)
						}

						sh "docker rmi ${DOCKER_IMAGE} -f"
						sh "docker rmi ${DOCKER_IMAGE}:${version} -f"				
					}
			  }
			}			
		}
	}
